<p-dataList [value]="rams" [paginator]="true" [rows]="5"
            selectionMode="single">
  <p-header>
    Wybierz pamięć RAM
  </p-header>
  <ng-template let-ram pTemplate="item">
    <div class="custom-table-row">
      <hr>
      <div class="ui-g ui-fluid ram-item">
        <div class="ui-g-5 ui-md-3" style="text-align:center">
          <img *ngIf="ram.image" [src]="ram.image" alt="Logo" height="200" width="200">
        </div>
        <div class="ui-g-3 ui-md-7 ram-details">
          <div class="ui-g">
            <div class="ui-g-3 ui-sm-2">Nazwa:</div>
            <div class="ui-g-3 ui-sm-2">{{ram.nazwa}}</div>
            <div class="ui-g-3 ui-sm-2">Producent:</div>
            <div class="ui-g-3 ui-sm-2">{{ram.producent}}</div>
          </div>
          <div class="ui-g">
            <div class="ui-g-3 ui-sm-2">Pojemnosc:</div>
            <div class="ui-g-3 ui-sm-2">{{ram.pojemnosc}}</div>
            <div class="ui-g-3 ui-sm-2">Typ pamięci:</div>
            <div class="ui-g-3 ui-sm-2">{{ram.typPamieci}}</div>
          </div>
          <div class="ui-g">
            <div class="ui-g-3 ui-sm-2">Częstotliwość taktowania:</div>
            <div class="ui-g-3 ui-sm-2">{{ram.czestotliwosc}}</div>
          </div>
          <div class="ui-g">
            <div class="ui-g-3 ui-sm-2">Cena:</div>
            <div class="ui-g-3 ui-sm-2">{{ram.cena}}</div>
          </div>
        </div>
      </div>
      <button type="button" pButton icon="fa-plus" label="Dodaj" (click)="onAddPrimaryClick(ram)"></button>
      <hr>
    </div>
  </ng-template>
</p-dataList>
<p-growl [(value)]="msgs"></p-growl>
